Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 91968 - Fontconfig DTD is not installed in /usr/share/sgml/ nor registered in the system catalogs
Summary: Fontconfig DTD is not installed in /usr/share/sgml/ nor registered in the sys...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: fontconfig
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2003-05-30 13:39 UTC by Nicolas Mailhot
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-26 01:34:41 UTC


Attachments (Terms of Use)

Description Nicolas Mailhot 2003-05-30 13:39:37 UTC
Description of problem:

Fontconfig DTD is not installed in /usr/share/sgml/ nor is registered in the
system catalogs. Having normal DTD access is useful to process fonts.conf as for
example in a font rpm %post, %postun or %preun.

Non-validated xml processing is error-prone

Version-Release number of selected component (if applicable):

fontconfig-2.1-9

Comment 1 Owen Taylor 2003-08-29 00:07:55 UTC
Tim - 

Do you have canonical examples of how we add DTDs to the system 
SGML/XML catalogs?


Comment 2 Tim Waugh 2003-08-29 09:46:21 UTC
See the scriptlets that xhtml1-dtds uses. (Don't look at docbook-dtds, they're
icky.)

Comment 3 Owen Taylor 2004-09-02 21:00:16 UTC
Hard to register without a public identifier for fonts.conf.
Filed:

 http://freedesktop.org/bugzilla/show_bug.cgi?id=1281


Comment 4 Bill Nottingham 2006-08-08 01:35:46 UTC
'Red Hat Raw Hide' refers to the development tree for Red Hat Linux.
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues were not resolved in a more
timely manner. However, we do want to make sure that important 
don't slip through the cracks. If these issues are still present
in a current release, such as Fedora Core 5, please move these
bugs to that product and version. Note that any remaining Red Hat
Raw Hide bugs will be closed as 'CANTFIX' on September 30, 2006.
Thanks again for your help.


Comment 5 John Thacker 2006-10-29 15:26:34 UTC
Closing as CANTFIX per previous comment and lack of response.

Comment 6 Nicolas Mailhot 2006-10-29 19:41:56 UTC
Oops, this one passed through, should not be closed, it's still current

Comment 7 Behdad Esfahbod 2007-10-26 01:34:41 UTC
Upstreamed.  I don't see any reason to keep open.  If you have any idea how this
should be fixed, please comment on the upstream bug.


Note You need to log in before you can comment on or make changes to this bug.